# MOA ZS - ZUSE Specification Changelog

This document tracks changes between the ZUSE specifications.
The document is not official, might not be exhaustive, does not claim correctnes and comes without warranty.

## zusemsg

### Changes between 2.2.0 and 2.2.007
- `msg:RelayedViaERV`
  - Change from boolean to complex type (ervcode).
  - Move from `msg:DeliveryRequestStatusType/Success` into `msg:DeliveryRequestStatusType`, which affects `Success`, `Error`, and `PartialSuccess`.
  - Was removed from `DeliveryNotificationType`.
- Change `msg:DeliveryNotification/Answer` from list to singleton.
- Change `msg:DeliveryRequestStatusType/PartialSuccess` to type `AnswerType`.
- `msg:DeliveryRequestStatusType` and `msg:DeliveryNotificationType` receive the attribute ID (for signature referencing).
- Add new optional element `msg:AustrianAdressesOnly` (`IndicatorType`) to `DeliveryRequestType/Receiver/<Choice>/<Sequence>`.
- Add new optional element `ClearingProfilID` to `DeliveryRequestType/Sender`.
- Add new element `ERVConfirmedDelivery`, which subsitutes `msg:Answer` and extends `msg:AbstractOperation`.
  - Has element `ErvCode`
  - Has element `ERVDeliveryTimestamp`.
- Add new optional element `TargetIdentification` of type `p:IdentificationType` to `msg:DeliveryNotification/User` as optional element.
- Add new enumeration value `System` to `msg:DeliveryNotification/User/Role`.
- Rename type `AustrianEthicMinorityLanguageType` to `AustrianLanguageType` and add `DE` as value.
- `msg:Tags` were unbounded, now they are limited to 20.
- `VersionNumberType`: Patch version can have three digits.

## zusetnvz

### Changes between 2.2.0 and 2.2.006:
- Add `StandardMimeTypeList` to `tnvz:QueryPersonResponse` and `tnvz:QueryAdressabilityResponse`.
- Add `AllStandardMimeTypes` (indicator) to `tnvz:PersonResult/Success`.
- Add optional `msg:MetadataList` to `tnvz:PersonQueryType/Metadata` and `tnvz:AddressabilityQueryType/Metadata`.
- Move `tnvz:AustrianAdressesOnly` to [zusemsg] namespace.
